Setup
Please follow the common Adyen instructions to get set up with ACH Direct Debit. Next, make sure to enable ACH Direct Debit as a payment method on your configured account.Supported countries
Supported currencies
Capabilities
Integration
For ACH Direct Debit, the default integration for Adyen is through a redirect to a hosted payments page that renders the Adyen Drop-in in a popup. The buyer enters their bank account and routing numbers on the Drop-in to authorize the debit.Redirect integration
Start by creating a new transaction with the following required fields.payment_method.approval_url and the buyer_approval_pending status.
approval_url in a popup so the buyer can enter their bank account and routing numbers on the Adyen Drop-in and authorize the debit. After the buyer completes the form they are redirected to the redirect_url you provided when creating the transaction. Do not rely solely on the redirect - either poll the transaction or (recommended) rely on webhooks to detect the final status (for example capture_succeeded or failure states).
Direct integration
Adyen provides web, Android and iOS SDKs for a direct integration. For these flows you should indicate the platform by setting an appropriateintegration_client when creating the transaction, and then build a client-side integration that uses the POST /transactions/:transaction_id/session API to initialize the Adyen SDK.
To start, create a new transaction with the appropriate integration_client.
integration_client to ios or android and use your app deep link for redirect_url (for example, yourapp://).
After the transaction is created, the API response includes a session_token which can be used to get the session data for that transaction.
sessionId and sessionData required to load the Adyen SDK. Refer to the common Adyen integration guidance for a worked example of initializing the Adyen SDK with this session data.